Summary: Tcl extensions for network management applications.
Name: scotty
Version: 2.1.10
Release: 4
Copyright: distributable
Group: Applications/System
Source: ftp://ftp.ibr.cs.tu-bs.de/pub/local/tkined/scotty-%{version}.tar.gz
Url: http://wwwsnmp.cs.utwente.nl/~schoenw/scotty/#TKINED
Patch3: scotty-2.1.7-glibc.patch
Requires: tcl >= 7.5 tk >= 4.1
BuildRoot:/var/tmp/%{name}-root

%description
Scotty is a software package which allows implementation of
site-specific network management software using high-level,
string-based APIs. Scotty is based on Tcl, which simplifies the
development of portable network management scripts. The scotty source
distribution includes two major components: the Tnm Tcl Extension,
which provides access to network management information sources, and
the Tkined network editor, which provides a framework for an
extensible network management system.

%prep
%setup -q
%patch3 -p1 -b .glibc

cd unix 

%build
cd unix
./configure --prefix='$(DESTDIR)%{_prefix}' --enable-gcc --enable-gdmo --enable-multicast
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/bin  
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/man/mann

cd unix
make DESTDIR=$RPM_BUILD_ROOT install

/usr/bin/install -c -m 755 ntping ${RPM_BUILD_ROOT}%{_prefix}/bin
/usr/bin/install -c -m 755 straps ${RPM_BUILD_ROOT}%{_prefix}/bin

( cd $RPM_BUILD_ROOT
  for F in .%{_prefix}/lib/*/pkgIndex.tcl
  do
    sed -e s,$RPM_BUILD_ROOT,, < ${F} > ${F}-N && mv ${F}-N ${F}
  done
)

( cd ${RPM_BUILD_ROOT}%{_prefix}/bin
  ln -s scotty* scotty
  ln -s tkined* tkined
  cd ../man/mann
  rm -f http.n
)

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO license.terms
%{_prefix}/bin/tkined*
%{_prefix}/bin/scotty*
%{_prefix}/bin/ntping
%{_prefix}/bin/straps
%{_prefix}/lib/tkined*
%{_prefix}/lib/tnm*
%{_prefix}/man/mann/*
%{_prefix}/man/man1/*
%{_prefix}/man/man8/*

%changelog
* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed Apr 28 1999 Jeff Johnson <jbj@redhat.com>
- rebuild for power tools 6.0.

* Wed Oct 28 1998 Jeff Johnson <jbj@redhat.com>
- no /usr/man/mann/http.n

* Wed Oct 21 1998 Jeff Johnson <jbj@redhat.com>
- fix build root
- new description/summary
- update to 2.1.10

* Sat Jun 04 1998 Michael Maher <mike@redhat.com>
- Buildroot problems.  Removed until time to trouble shoot.

* Wed May 20 1998 Michael Maher <mike@redhat.com>
- updated package
- added build root

* Mon Feb  2 1998 Otto Hammersmith <otto@redhat.com>
- removed /usr/man/mann/http.n 
  (conflicted with Tcl, and it's the same man page.)

* Thu Dec  4 1997 Otto Hammersmith <otto@redhat.com>
- built for glibc, with patch from Erik

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- updated version

* Tue May 06 1997 Michael Fulbright <msf@redhat.com>
- Added patch for mibtree app. It was messing with the tk_strictMotif
  tkvar in a way Tk didnt like. Seems to run fine with my patch, whereas
  it didnt run at all before!
